XUND
API ReferenceChatbot

Start an Illness Check

POST/v1/chatbot/initialize/illnessCheck

Clients have to decide whether a symptom check or an illness check shall be started. Use this request to start an Illness Check. The checkId received as response for this request will be used to identify the ongoing check.

About Patient & Condition

  1. resourceType is not listed as a part of the FHIR documentation of Patient & Condition resources, however, resourceType is always defined with a given default value (name of the resource) in the JSON schema definitions.
  2. The gender field of a Patient can have 4 values according to the FHIR documentation: male, female, other, and unknown. Currently, the API only uses male and female; other and unknown are accepted but treated as if no gender had been provided.
  3. The illness to check for is identified from the Condition resource's code.coding[].code, which must be an ICD-10 code known to the Content Library.

Authorization

BearerToken
AuthorizationBearer <token>

Authenticate with a JWT bearer token obtained from the token endpoint with your Client Id and API key.

In: header

Header Parameters

language*string

Language of the check.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/chatbot/initialize/illnessCheck" \  -H "authorization: Bearer <token>" \  -H "language: en" \  -H "Content-Type: application/json" \  -d '{    "patient": {      "resourceType": "Patient",      "gender": "male",      "birthDate": "1985-10-16"    },    "condition": {      "resourceType": "Condition",      "code": {        "coding": [          {            "code": "J00"          }        ]      }    },    "tags": [      "partner_1",      "campaign_2026"    ]  }'
{  "checkId": "5e93d7a1-f240-43b5-8937-33419ea9cb6a"}

Last updated on